From 06783ed6d375a8534ea890b097699ea743007ebf Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Sat, 29 Jun 2013 16:56:28 +0300
Subject: Adapat ProjectController to new routes/parameters

--HG--
extra : source : aa65e713597eafd314aac2d58f2b8b07f94eca1f
---
 app/controllers/projects_controller.rb |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/app/controllers/projects_controller.rb b/app/controllers/projects_controller.rb
index f80cf86..6e15ade 100644
--- a/app/controllers/projects_controller.rb
+++ b/app/controllers/projects_controller.rb
@@ -17,7 +17,8 @@ class ProjectsController < ApplicationController
   menu_item :roadmap, :only => :roadmap
   menu_item :settings, :only => :settings
 
-  before_filter :find_project, :except => [ :index, :new, :create, :copy ]
+  before_filter :find_project, :only => [:edit, :show, :update, :destroy]
+  before_filter :find_project_by_project_id, :only => [:archive, :copy, :modules, :settings, :unarchive]
   before_filter :authorize, :only => [ :show, :settings, :edit, :update, :modules ]
   before_filter :authorize_global, :only => [:new, :create]
   before_filter :require_admin, :only => [ :copy, :archive, :unarchive, :destroy ]
-- 
1.7.1


